Browse Source

Make traefik compatible with 1.16.x

Also bump up version to 1.7.19.

Story: 2006853
Task: 37586

Change-Id: Ic91f46f98d07ada0bd4b777ce1409a98e847cf1b
changes/25/695525/3
Bharat Kunwar 3 years ago
parent
commit
a14d0cc04e
  1. 4
      magnum/drivers/common/templates/kubernetes/fragments/enable-ingress-traefik.sh
  2. 2
      magnum/drivers/k8s_fedora_atomic_v1/templates/kubecluster.yaml
  3. 2
      magnum/drivers/k8s_fedora_coreos_v1/templates/kubecluster.yaml
  4. 4
      releasenotes/notes/traefik-compatible-with-k8s-1-16-9a9ef6d3ccc92fb4.yaml

4
magnum/drivers/common/templates/kubernetes/fragments/enable-ingress-traefik.sh

@ -48,6 +48,10 @@ metadata:
labels:
k8s-app: ingress-traefik-backend
spec:
selector:
matchLabels:
k8s-app: ingress-traefik-backend
name: ingress-traefik-backend
template:
metadata:
labels:

2
magnum/drivers/k8s_fedora_atomic_v1/templates/kubecluster.yaml

@ -261,7 +261,7 @@ parameters:
traefik_ingress_controller_tag:
type: string
description: tag of the traefik containers to be used.
default: v1.7.10
default: v1.7.19
wait_condition_timeout:
type: number

2
magnum/drivers/k8s_fedora_coreos_v1/templates/kubecluster.yaml

@ -261,7 +261,7 @@ parameters:
traefik_ingress_controller_tag:
type: string
description: tag of the traefik containers to be used.
default: v1.7.10
default: v1.7.19
wait_condition_timeout:
type: number

4
releasenotes/notes/traefik-compatible-with-k8s-1-16-9a9ef6d3ccc92fb4.yaml

@ -0,0 +1,4 @@
---
fixes:
- |
Bump up traefik to 1.7.19 for compatibility with Kubernetes 1.16.x.
Loading…
Cancel
Save